\documentclass[10pt,t,serif,professionalfont]{beamer}
\PassOptionsToPackage{pdfpagemode=FullScreen}{hyperref}
\PassOptionsToPackage{usenames,dvipsnames}{color}
\usepackage{../../presentation}
\usepackage{../../sansserif}

\mode<presentation>
{
  \usetheme{boxes}
  \setbeamercovered{invisible}
  \setbeamertemplate{navigation symbols}{} 
}
\addheadbox{filler}{\ }  % create extra space at top of slide 
%\setbeameroption{show notes}
% \setbeamertemplate{background canvas}[vertical shading][bottom=red!20,top=yellow!30]
\hypersetup{colorlinks=true,linkcolor=blue} 

\title{Section 6.1:\ \ Area Between Curves}

\author{J Hef{}feron}
\institute{
  Mathematics and Statistics\\
  University of Vermont\\[1ex]
  \texttt{James.Hefferon@uvm.edu}
}
\date{}

\usepackage{siunitx}

\begin{document}
\begin{frame}
  \titlepage
\end{frame}

%........................................................



\begin{frame}{Area between two curves}
Find the area between two curves
as the difference of the two areas.
\begin{equation*}
  \vcenteredhbox{\includegraphics{asy/areas_between_curves002.pdf}}%
  =
  \vcenteredhbox{\includegraphics{asy/areas_between_curves000.pdf}}%
  -
  \vcenteredhbox{\includegraphics{asy/areas_between_curves001.pdf}}%
\end{equation*}
\begin{equation*}
    \int_{x=a}^bf(x)-g(x)\,dx=\int_{x=a}^bf(x)\,dx-\int_{x=a}^bg(x)\,dx
\end{equation*}
\end{frame}



\begin{frame}
\Ex 
Find the area of the region bounded above by $x+4$ and below by $3-(x/2)$,
on the left by $x=1$ and on the right by $x=4$. 
\begin{center}
  \only<1>{\includegraphics{asy/areas_between_curves007.pdf}}%
  \only<2>{\includegraphics{asy/areas_between_curves008.pdf}}%
  \only<3->{\includegraphics{asy/areas_between_curves009.pdf}}%
\end{center}
\only<3->{
The slice shows all points with first coordinate~$x$.
It is $dx$~wide and $(x+4)-(3-x/2)$ tall.
\begin{equation*}
  \int_{x=1}^{4}(x+4)-(3-x/2)\,dx
   =\int_{1}^{4}3x/2+1\,dx  
\end{equation*}
}
\end{frame}
\begin{frame}
The Fundamental Theorem computes the answer.
\begin{equation*}
  \int_{1}^{4}3x/2+1\,dx
  =\left[\frac{3}{4}x^2+x\right]_1^4
  =(\frac{3}{4}16+4)-(\frac{3}{4}1+1)
  =16-\frac{7}{4}=\frac{57}{4}
\end{equation*}
\end{frame}
% sage: def f(x):
% ....:     return((3/4)*x^2+x)
% ....: 
% sage: f(4)
% 16
% sage: f(1)
% 7/4
% sage: f(4)-f(1)
% 57/4
% sage: 



\begin{frame}
\Ex Find the area below $f(x)=-(x-1)^2+5$ and above
$g(x)=(1/3)x$,
to the right of $a=0$ and to the left of $b=3$.   
\begin{center}
  \only<1>{\includegraphics{asy/areas_between_curves004.pdf}}%
  \only<2>{\includegraphics{asy/areas_between_curves005.pdf}}%
  \only<3->{\includegraphics{asy/areas_between_curves006.pdf}}%
\end{center}
The slice shows all points in the region with first coordinate~$x$.
Its height is $(-(x-1)^2+5)-(x/3)$ and its width is $dx$.
\begin{align*}
  \int_{x=0}^{3}(-(x-1)^2+5)-(x/3)\,dx
   &=\int_{0}^{3}(-(x^2-2x+1)+5)-(x/3)\,dx  \\
   &=\int_{0}^{3}-x^2+(5/3)x+4\,dx
\end{align*}
\end{frame}
\begin{frame}
From
\begin{equation*}
  \int_{0}^{3}-x^2+(5/3)x+4\,dx
\end{equation*}
apply the Fundamental Theorem of Calculus.
\begin{equation*}
  =\biggl[-(x^3/3)+(5x^2/6)+4x\biggr]_{0}^3
  =\frac{21}{2}=10.5
\end{equation*}
\end{frame}
% sage: def g(x):
% ....:     return(-(x^3/3)+(5*x^2/6)+4*x)
% ....: 
% sage: g(3)
% 21/2
% sage: g(0)
% 0


\begin{frame}
\Ex Find the area of the region bounded by $f_0(x)=x^2$ and $f_1(x)=x^4-12$. 
\pause
\begin{center}
  \vcenteredhbox{\includegraphics{asy/areas_between_curves016.pdf}}
\end{center}
The slice's height is $x^2-(x^4-12)$ and its widht is $dx$.  
\begin{equation*}
  \int_{x=-2}^2x^2-(x^4-12)\,dx
  =\biggl[ -\frac{x^5}{5}+\frac{x^3}{3}+12x \biggr]_{-2}^2
  =(\frac{304}{15})-(\frac{-304}{15})
  \approx 40.53
\end{equation*}  
\end{frame}
% sage: def f(x):
% ....:     return (-x^5/5)+(x^3/3)+12*x
% ....: 
% sage: f(2)
% 304/15
% sage: f(-2)
% -304/15
% sage: f(2)-f(-2)
% 608/15
% sage: n(f(2)-f(-2))
% 40.5333333333333


\begin{frame}{Compound regions}
\Ex Find the area enclosed by $f_0(x)=8x$, by $f_1(x)=8/x^2$, and
by $f_2(x)=x$.
\pause
\begin{center}
  \vcenteredhbox{\includegraphics{asy/areas_between_curves013.pdf}}
\end{center}
As shown by the slices, it is two regions.
\begin{equation*}
  \int_{0}^{1}8x-x\,dx+\int_{1}^2\frac{8}{x^2}-x\,dx
\end{equation*}
\end{frame}

\begin{frame}
The Fundamental Theorem gives this.
\begin{align*}
  \int_{0}^{1}8x-x\,dx+\int_{1}^2\frac{8}{x^2}-x\,dx  
  &=\biggl[\frac{7}{2}x^2\biggr]_0^1
         +\biggl[\frac{-8}{x}-\frac{1}{2}x^2\biggr]_1^2  \\
  &=\frac{7}{2}
         +\frac{5}{2}
         =6
\end{align*}
\end{frame}
% sage: def f0(x):
% ....:     return (7*x^2/2)
% ....: 
% sage: def f1(x):
% ....:     return ((-8/x)-(x^2/2))
% ....: 
% sage: f0(1)-f0(0)
% 7/2
% sage: f1(2)-f1(1)
% 5/2



\begin{frame}
\Ex Find the geometric area between $\cos(x)$ and $\sin(x)$,
to the right of $a=0$ and to the left of $b=\pi$.
That is, take the slices to always give a positive contribution.
\begin{center}
  \includegraphics{asy/areas_between_curves010.pdf}%
\end{center}
\begin{equation*}
  % \text{Geometric area}=
  \int_{0}^{\pi}|\cos(x)-\sin(x)|\,dx      
  =\int_{x=0}^{\pi/4}\cos(x)-\sin(x)\,dx
   +\int_{x=\pi/4}^{\pi}\sin(x)-\cos(x)\,dx  
\end{equation*}
\end{frame}
\begin{frame}
We have this.
\begin{align*}
  &\int_{x=0}^{\pi/4}\cos(x)-\sin(x)\,dx
   +\int_{x=\pi/4}^{\pi}\sin(x)-\cos(x)\,dx    \\
  &\qquad=\bigl[\sin(x)+\cos(x) \bigr]_{0}^{\pi/4}
    +\bigl[-\cos(x)-\sin(x) \bigr]_{\pi/4}^{\pi}  \\
  &\qquad=\bigl[(\frac{\sqrt{2}}{2}+\frac{\sqrt{2}}{2})-(0+1) \bigr]
    +\bigl[(1-0)-(-\frac{\sqrt{2}}{2}-\frac{\sqrt{2}}{2}) \bigr] 
\end{align*}
\end{frame}



\begin{frame}{Integrating $dy$}
Find the area in the first quadrant enclosed by $y=x^{2/3}$ and $y=x-4$.  
\pause
Taking $dx$~wide slices would require two integrals.
The shown $dy$~wide slice contains all points in the region whose
second coordinate is~$y$.
The most extreme first coordinates are shown, in terms of~$y$.
\begin{center}
\vcenteredhbox{\includegraphics{asy/areas_between_curves015.pdf}}
\end{center}
\pause
We need them in terms of~$y$ in order to integrate~$dy$.  
\begin{equation*}
  \int_{y=0}^4 (y+4)-(y^{3/2})\,dy   
  =\biggl[ \frac{y^2}{2}+4y-\frac{2y^{5/2}}{5}\biggr]_{0}^4=\frac{56}{5}
\end{equation*}
\end{frame}
% sage: def h(y):
% ....:     return ((y^2/2)+(4*y)-(2*y^(5/2)/5))
% ....: 
% sage: h(4)
% 56/5
% sage: h(0)
% 0


\begin{frame}
\Ex Find the area enclosed by $y=x-1$ and $y^2=2x+6$.  
\begin{center}
  \vcenteredhbox{\includegraphics{asy/areas_between_curves014.pdf}}
\end{center}
Again we integrate with $dy$-thick slices.
\begin{align*}
  \int_{y=-2}^4 (y+1)-(\frac{y^2}{2}-3)\,dy   
  &=\int_{y=-2}^4 \frac{-y^2}{2}+y+4 \,dy  \\
  &=\biggl[ \frac{-y^3}{6}+\frac{y^2}{2}+4y\biggr]_{-2}^4
    =\frac{40}{3}-(\frac{-14}{3})=18
\end{align*}
\end{frame}




% \begin{frame}{What we are doing}
% There is a way to think about integration that proves to be the most fruitful 
% in the long run. 
% We have the axis and with each
% point $x$ we associate a \alert{density} $f(x)$.
% Then in the integral $\int_a^b f(x)\,dx$ we accumulate the total mass
% between the endpoints.

% This illustrates with $f(x)=(1/2)\cdot (\sin(x^2)+1)$ on $\closed{0}{5}$.
% \begin{center}
%   \includegraphics{asy/areas_between_curves017.pdf}%
% \end{center}
% Here it is in the more familiar graph form.
% \begin{center}
%   \includegraphics{asy/areas_between_curves018.pdf}%
% \end{center}

% However that approach is abstract.
% A key point of teaching is that people learn best when you 
% go from concrete to abstract.
% So right now we are drawing pictures and building intuitions,
% such as that integration is like addition.
% \end{frame}


% \begin{frame}{Geometric area}
% Contrast these two.
% \begin{center}
%   \vcenteredhbox{\includegraphics{asy/areas_between_curves011.pdf}}%    
%   \qquad
%   \vcenteredhbox{\includegraphics{asy/areas_between_curves012.pdf}}%    
% \end{center}
% On the left the Reimann boxes go from $0$ up to a positive top, 
% so if the exercise asks
% for the ``area'' then we clearly mean to integrate the
% boxes as-is.
% On the right though, some of the boxes go from $0$ to a positive number
% while others
% go from $0$ to a negative.

% So on the right there are two things that we could want.
% We could want the \alert{geometric area}, meaning that slices always 
% count as positives, $\int_a^b|f(x)|\,dx$.
% Or we could want the \alert{signed area},
% that negative slices add negatives, $\int_a^b f(x)\,dx$.
% Which is correct depends on the application. 
% \end{frame}


\begin{frame}{Practice}

\begin{enumerate}
\item Sketch the region below $x^2-4x+12$ and $4x-x^2$,
between $a=0$ and~$b=4$.
Find its area.
\pause
\item Sketch the region bounded by $1/(1+x^2)$, $x-(1/2)$,
and the $y$~axis.
Find its area.
\pause
\item Find the area of the region bounded by $y=x^2$, $y=2-x$, and the 
$x$~axis, by integrating $dx$.
\pause
\item Find the same region by integrating $dy$.
\end{enumerate}
\end{frame}



% ---------------------
% \begin{frame}
% \frametitle{}
% \end{frame}
\end{document}
%%% Local Variables: 
%%% coding: utf-8
%%% mode: latex
%%% TeX-engine: luatex
%%% End: 
